"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Default = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const SearchBar_1 = require("./SearchBar");
const meta = {
    title: 'General/SearchBar',
    component: SearchBar_1.default,
    decorators: [(Story) => (0, jsx_runtime_1.jsx)(Story, {})],
};
exports.Default = {};
exports.Default.args = {
    groupFilters: [
        { label: 'All', value: 'all' },
        { label: 'GroupFilter 2', value: 'GroupFilter2' },
        { label: 'GroupFilter 3', value: 'GroupFilter3' },
    ],
    filterFacets: [
        {
            label: 'Filter by 1',
            value: '1',
        },
        {
            label: 'Filter by 2',
            value: '2',
        },
    ],
    onSearch: (searchParams) => {
        console.log('searchParams', searchParams);
    },
    searchTitle: '',
    placeholder: 'Search Placeholder Text',
};
exports.default = meta;
