"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const f36_components_1 = require("@contentful/f36-components");
const LocalHostWarning = () => {
    return ((0, jsx_runtime_1.jsx)(f36_components_1.Flex, { marginTop: "spacingXl", justifyContent: "center", children: (0, jsx_runtime_1.jsxs)(f36_components_1.Note, { title: "App running outside of Contentful", style: { maxWidth: '800px' }, children: [(0, jsx_runtime_1.jsxs)(f36_components_1.Paragraph, { children: ["Contentful Apps need to run inside the Contentful web app to function properly. Install the app into a space and render your app into one of the", ' ', (0, jsx_runtime_1.jsx)(f36_components_1.TextLink, { href: "https://www.contentful.com/developers/docs/extensibility/ui-extensions/sdk-reference/#locations", children: "available locations" }), "."] }), (0, jsx_runtime_1.jsx)("br", {}), (0, jsx_runtime_1.jsxs)(f36_components_1.Paragraph, { children: ["Follow", ' ', (0, jsx_runtime_1.jsx)(f36_components_1.TextLink, { href: "https://www.contentful.com/developers/docs/extensibility/app-framework/tutorial/#embed-your-app-in-the-contentful-web-app", children: "our guide" }), ' ', "to get started or", ' ', (0, jsx_runtime_1.jsx)(f36_components_1.TextLink, { href: "https://app.contentful.com/deeplink?link=apps", children: "open Contentful" }), ' ', "to manage your app."] })] }) }));
};
exports.default = LocalHostWarning;
